Index: tests/GuiChecks/Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at
===================================================================
--- tests/GuiChecks/Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2014 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Translation-Periodic
+
+AT_SETUP([Molecules - Translation with periodic boundaries])
+AT_KEYWORDS([molecules translate-molecules])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 --translate-molecules --position "-8., -8., -8." --periodic 1 --no-dry-run --store-session session-molecules-translation-periodic.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-translation-periodic.py >session-molecules-translation-periodic_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-translation-periodic_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Translation with periodic boundaries with Undo])
+AT_KEYWORDS([molecules translate-molecules undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 --translate-molecules --position "-8., -8., -8." --periodic 1 --undo --no-dry-run --store-session session-molecules-translation-periodic.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-translation-periodic.py >session-molecules-translation-periodic_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-translation-periodic_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/post/test-undo.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Translation with periodic boundaries with Redo])
+AT_KEYWORDS([molecules translate-molecules redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file  --select-molecule-by-id 0 --translate-molecules --position "-8., -8., -8." --periodic 1 --undo --redo --no-dry-run --store-session session-molecules-translation-periodic.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-translation-periodic.py >session-molecules-translation-periodic_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-translation-periodic_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/Translation-Periodic/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
